function getDocumentHeight() { if ($.browser.msie) { var $temp = $("<div>") .css("position", "absolute") .css("left", "-10000px") .append($("body").html()); $("body").append($temp); var h = $temp.height(); $temp.remove(); return h; } return $("body").height(); }
Thursday, December 13, 2012
Finding real body height using jQuery
Java: iterate through HashMap
Map resultMap = new HashMap();
ResultSet resultSetRegion = s.executeQuery(sSql2);
if(resultSetRegion.next()) {
resultMap.put( "firstName", "" + resultSetRegion.getString("first_name") );
}
Iterator it = resultMap.entrySet().iterator();
while (it.hasNext()) {
Map.Entry pairs = (Map.Entry) it.next();
System.out.println("KEY: "+pairs.getKey()+"\tVALUE: "+pairs.getValue());
}
ResultSet resultSetRegion = s.executeQuery(sSql2);
if(resultSetRegion.next()) {
resultMap.put( "firstName", "" + resultSetRegion.getString("first_name") );
}
Iterator it = resultMap.entrySet().iterator();
while (it.hasNext()) {
Map.Entry pairs = (Map.Entry) it.next();
System.out.println("KEY: "+pairs.getKey()+"\tVALUE: "+pairs.getValue());
}
Run Bash Script Using Java And Get Debug And Error Output
String command = "sudo /usr/bin/some_name.sh";
System.out.println("runBashScriptCommand: " + command);
try {
Runtime runtime = Runtime.getRuntime();
Process process = runtime.exec(command);
printBufferedReaderOutputFromProcess(process);
process.waitFor();
return "true";
} catch (Exception ex) {
System.out.println("EX:" + ex.toString());
return ex.toString();
}
private void printBufferedReaderOutputFromProcess(Process p) {
try {
String s = null;
BufferedReader stdInput = new BufferedReader(new InputStreamReader(p.getInputStream()));
BufferedReader stdError = new BufferedReader(new InputStreamReader(p.getErrorStream()));
// read the output from the command
System.out.println("\n\npHere is the standard output of the command:\n");
while ((s = stdInput.readLine()) != null) {
System.out.println(s);
}
// read any errors from the attempted command
System.out.println("Here is the standard error of the command (if any):\n");
while ((s = stdError.readLine()) != null) {
System.out.println(s);
}
} catch (Exception ex) {
System.out.println("printBufferedReaderOutputFromProcess:" + ex.toString());
}
}
System.out.println("runBashScriptCommand: " + command);
try {
Runtime runtime = Runtime.getRuntime();
Process process = runtime.exec(command);
printBufferedReaderOutputFromProcess(process);
process.waitFor();
return "true";
} catch (Exception ex) {
System.out.println("EX:" + ex.toString());
return ex.toString();
}
private void printBufferedReaderOutputFromProcess(Process p) {
try {
String s = null;
BufferedReader stdInput = new BufferedReader(new InputStreamReader(p.getInputStream()));
BufferedReader stdError = new BufferedReader(new InputStreamReader(p.getErrorStream()));
// read the output from the command
System.out.println("\n\npHere is the standard output of the command:\n");
while ((s = stdInput.readLine()) != null) {
System.out.println(s);
}
// read any errors from the attempted command
System.out.println("Here is the standard error of the command (if any):\n");
while ((s = stdError.readLine()) != null) {
System.out.println(s);
}
} catch (Exception ex) {
System.out.println("printBufferedReaderOutputFromProcess:" + ex.toString());
}
}
Wednesday, December 12, 2012
Height of tab (JTabbedPane) in MAC
Code:
JTabbedPane
paneItem
= new JTabbedPane(); JLabel iconInTab = new JLabel(new ImageIcon("myImage.png")); iconInTab.setPreferredSize(new Dimension(100,80));
paneItem
.addTab(null,new JPanel());
paneItem
.setTabComponentAt(0,iconInTab);
I've also try this using html but it did not work either:
paneItem
.addTab("<html><p><p><p></html>",new ImageIcon("myImage.png"),new JPanel())
Solution:
paneItem.setUI(new BasicTabbedPaneUI());
Also with some features:
paneItem.setTabPlacement(JTabbedPane.TOP);
paneItem.setTabLayoutPolicy(JTabbedPane.WRAP_TAB_LAYOUT);
paneItem.setComponentOrientation(ComponentOrientation.LEFT_TO_RIGHT);
Tuesday, December 11, 2012
Move all files except one
File Structure:
/root/tmp/test
[root@dswing test]# ll
total 12
-rw-r--r-- 1 root root 2 Dec 12 13:41 a.txt
-rw-r--r-- 1 root root 4 Dec 12 13:42 b.txt
-rw-r--r-- 1 root root 0 Dec 12 13:43 c.txt
drwxr-xr-x 2 root root 4096 Dec 12 13:50 ks
Command:
find /root/tmp/test/ -maxdepth 1 -mindepth 1 -type f -not -name c.txt | grep -i txt$ | xargs -i cp -af {} /root/tmp/test/ks
Description:
/root/tmp/test
[root@dswing test]# ll
total 12
-rw-r--r-- 1 root root 2 Dec 12 13:41 a.txt
-rw-r--r-- 1 root root 4 Dec 12 13:42 b.txt
-rw-r--r-- 1 root root 0 Dec 12 13:43 c.txt
drwxr-xr-x 2 root root 4096 Dec 12 13:50 ks
Command:
find /root/tmp/test/ -maxdepth 1 -mindepth 1 -type f -not -name c.txt | grep -i txt$ | xargs -i cp -af {} /root/tmp/test/ks
Description:
-maxdepth 1
makes it not search recursively.
-mindepth 1
makes it not include the /root/tmp/test/ path itself into the result.
-type f means search only for file type.
-not -name c.txt means all files except c.txt
grep -i txt$ means files name ends with txt.
Put a.txt -file to the end of b.txt -file
In a bash script such append.sh file, write the following code:
#!/bin/bash
A=/root/tmp/test/a.txt
B=/root/tmp/test/b.txt
cat $A >> $B
The
>>
redirects the output of the cat
command (which output file A
) to the file B
. But instead of overwriting contents of B
, it appends to it. If you use a single >
, it will instead overwrite any previous content in B
.Check if a program exists from a bash script
$ command -v foo >/dev/null 2>&1 || {
echo >&2 "I require foo but it's not installed. Aborting."; exit 1;
}
OR
$ type foo >/dev/null 2>&1 || {
echo >&2 "I require foo but it's not installed. Aborting."; exit 1;
}
OR
$ hash foo 2>/dev/null || {
echo >&2 "I require foo but it's not installed. Aborting."; exit 1;
}
Subscribe to:
Posts (Atom)